# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [2.1.0] - 2021-11-08

### Added

[Bluish gradients](https://github.com/dartoos-dev/eo_color/issues/119):

- `GradOf` constructors: `blue`, `blueAccent`; `lightBlue`, `lightBlueAccent`;
  `cyan`, `cyanAccent`.

[Yellowish gradients](https://github.com/dartoos-dev/eo_color/issues/115):

- `GradOf` constructors: `amber`, `amberAccent`; `yellow`, `yellowAccent`.

### Changed

- Improve README's readability and fix typos.

## [2.0.0] - 2021-10-20

### Added

- `GradOf` class with the constructors `blueGrey`, `grey`, and `brown`.
- `GradientSwatch` helper abstract class.

### Changed

- stricter lint rules.
- improvements to README file.
- rename 'o' parameter to 'opacity' in `white` and `black` constructors of the
  `PaletteRGB` class — **BREAKING CHANGE**.
- rename `GradientImmu` class to `GradientImmut` — **BREAKING CHANGE**.

### Removed

- The overloading of the function call operator —
  [109](https://github.com/dartoos-dev/eo_color/issues/109) **BREAKING CHANGE**.

## [1.1.9] - 2021-08-06

### Changed

- stricter lint rules.
- improvements to README file.

### Fixed

- typos in README

## [1.1.8] - 2021-07-26

### Changed

- improvement on the Palette Interface section —
  [101](https://github.com/dartoos-dev/eo_color/issues/101).
- improvement in the Getting Started section —
  [103](https://github.com/dartoos-dev/eo_color/issues/103).

## [1.1.7] - 2021-07-25

### Fixed

- typos in README.

## [1.1.6] - 2021-07-24

### Changed

- rearrangement of README's content —
  [97](https://github.com/dartoos-dev/eo_color/issues/97).

## [1.1.5] - 2021-07-15

### Changed

- improve the package description

## [1.1.4] - 2021-07-15

### Changed

- improve some sentences and correct typos in the README file.

## [1.1.3] - 2021-06-28

## [1.1.2] - 2021-06-28

### Changed

- fix typos and add minor improvements to README —
  [89](https://github.com/dartoos-dev/eo_color/issues/89).

## [1.1.1] - 2021-06-27

### Fixed

- Fix table of contents links in README

## [1.1.0] - 2021-06-27

### Added

- Gradient interface — [83](https://github.com/dartoos-dev/eo_color/issues/83).
- doc comments about the purpose of each library.

### Changed

- add a code quality badge to README.
- more elaborated and better formatted README.

## [1.0.0] - 2021-06-19

### Changed

- preparations for Release 1.0.0
- a more elegant README file - [68](https://github.com/dartoos-dev/eo_color/issues/68)

### Fixed

- the issue number associated with the section 0.0.14 of this CHANGELOG.

## [0.0.14] - 2021-05-29

### Changed

- add a better description of the package in README - [#78](https://github.com/dartoos-dev/eo_color/issues/78).

## [0.0.13] - 2021-05-29

### Changed - v1.0.0 Pre-Release

- Less verbose and more elegant CHANGELOG - [#75](https://github.com/dartoos-dev/eo_color/issues/75).
- A more elegant README.
- Stricter lint rules - [#71](https://github.com/dartoos-dev/eo_color/issues/71).
- Minor corrections to the README file - [#71](https://github.com/dartoos-dev/eo_color/issues/71).

## [0.0.12] - 2021-05-25

### Added

- White - [#63](https://github.com/dartoos-dev/eo_color/issues/63).
- Accent color swatches - [#61](https://github.com/dartoos-dev/eo_color/issues/61).

## [0.0.11] - 2021-05-24

### Added

- Black - [#64](https://github.com/dartoos-dev/eo_color/issues/64).

## [0.0.10] - 2021-05-22

### Changed

- Primaries swatch completion - [#59](https://github.com/dartoos-dev/eo_color/issues/59)

### Added

- Red, Pink palettes and swatches - [#57](https://github.com/dartoos-dev/eo_color/issues/57)
- Transparent

## [0.0.9] - 2021-05-21

### Added

- Green palettes and swatches - [#53](https://github.com/dartoos-dev/eo_color/issues/53)

### Fixed

- Incorrect use of the word _greater_ as comparative for _index_; replaced by _higher_.

## [0.0.8] - 2021-05-20

### Added

- Amber, Lime, Yellow palettes and swatches - [#42](https://github.com/dartoos-dev/eo_color/issues/49).

### Changed

- rearrangement in src directory structure - [#50](https://github.com/dartoos-dev/eo_color/issues/50).

## [0.0.7] - 2021-05-19

### Added

- Orange and deep orange palettes and swatches - [#42](https://github.com/dartoos-dev/eo_color/issues/42).

### Fixed

- README typos - [#45](https://github.com/dartoos-dev/eo_color/issues/45).

## [0.0.6] - 2021-05-19

### Added

- Purplish palettes and swatches - [#38](https://github.com/dartoos-dev/eo_color/issues/38).

### Changed

- Reorganization of the README file structure - [#40](https://github.com/dartoos-dev/eo_color/issues/40).

## [0.0.5] - 2021-05-18

### Fixed

- "cleaner" README file - [#36](https://github.com/dartoos-dev/eo_color/issues/36).

## [0.0.4] - 2021-05-18

### Added

- Partial implementation of the Primaries swatch - [#24](https://github.com/dartoos-dev/eo_color/issues/24).
- Bluish palettes and swatches - [#29](https://github.com/dartoos-dev/eo_color/issues/29).

### Changed

- Package logo in README - cute wooden color palette - [#25](https://github.com/dartoos-dev/eo_color/issues/25).
- This CHANGELOG's formatting.

## [0.0.3] - 2021-05-17

### Added

- Showcase application as an example - [#21](https://github.com/dartoos-dev/eo_color/issues/21).

## [0.0.2] - 2021-05-15

### Added

- Greyish color paletes and swatches - [#16](https://github.com/dartoos-dev/eo_color/issues/16).

### Changed

- Less verbose and more elegant README file - [#19](https://github.com/dartoos-dev/eo_color/issues/19).

## [0.0.1] - 2021-05-14

### Added

- Palette interface and PaletteRGB abstract class - [#3](https://github.com/dartoos-dev/eo_color/issues/3).
- Swatch interface and SwatchBase abstract class - [#14](https://github.com/dartoos-dev/eo_color/issues/14).
